Bug 217997 - nss_ldap in FC6 seems to fail; this appears in Ubuntu 6.10 too (6.06 works fine) --- too much of a coincidence?
nss_ldap in FC6 seems to fail; this appears in Ubuntu 6.10 too (6.06 works fi...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nss_ldap (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-01 00:37 EST by Chia-Ling Lee
Modified: 2008-05-06 12:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:59:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chia-Ling Lee 2006-12-01 00:37:48 EST
Description of problem:

I have a number of Ubuntu Linux clients talking to an FC5 server. 
The FC5 server runs Kerberos for authentication and LDAP for session
information. The LDAP is NOT used for authentication. 

In Ubuntu 6.06, libnss-ldap works as expected. Users need not be in 
/etc/passwd, /etc/group and they can still authenticate locally. 

In Ubuntu 6.10, libnss-ldap would not work. Searching for bug reports
extensively, I found a posting that it is a upstream debian bug. I
have to live with it for the moment. 

So now, I installed FC6. It works fine, but again, nss_ldap would not
work, and I have to set up users locally in /etc/passwd and /etc/group. 

I am just wondering, if FC6 and Ubuntu 6.10 has a similar problem, then
perhaps the bug is further upstream than debian? Perhaps someone in 
Fedora Core or Red Hat might want to look at it. 

Version-Release number of selected component (if applicable):

Ubuntu 6.06: libnss-ldap 238-1.1ubuntu1
Ubuntu 6.10: libnss-ldap 251-5.2
FC6:         nss_ldap that comes on the install disk does not work
             nss_ldap that is install after yum update would also not work



How reproducible:
Very; ldapsearch -x -ZZ works on both 6.10 and FC6, so I know my 
ldap.conf file and cacerts are fine. Just won't work if /etc/nsswitch.conf 
is amended to include ldap for passwd and group.

Steps to Reproduce:
1. Install FC6, configure it to do Kerberos Auth and LDAP for user info. 
2. User login fine. ldapsearch -x -ZZ works fine.
3. Change /etc/nsswitch.conf to append ldap. id <userID> hangs. gdm is slow. 
4. getent passwd or getent group hangs
  
Actual results:
Hang on login or user query. 

Expected results:
It should have worked and the commands should respond immediately. 


Additional info:
Comment 1 Bug Zapper 2008-04-04 01:02:39 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 2 Bug Zapper 2008-05-06 12:59:55 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.